/preview/advertisers/{advertiser-id}/ads
curl --request GET \
--url https://api.criteo.com/preview/advertisers/{advertiser-id}/ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/advertisers/{advertiser-id}/ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/advertisers/{advertiser-id}/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"adSetId": "<string>",
"creativeId": "<string>",
"description": "<string>",
"endDate": "<string>",
"id": "<string>",
"name": "<string>",
"startDate": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/advertisers/{advertiser-id}/ads
Get the list of self-services Ads for a given advertiser
GET
/
preview
/
advertisers
/
{advertiser-id}
/
ads
/preview/advertisers/{advertiser-id}/ads
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Query Parameters
The number of ads to be returned. The default is 50.
The (zero-based) offset into the collection of ads. The default is 0.
Response
200 - application/json
The list of self-services Ads is returned.
Was this page helpful?
⌘I